Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.dnd
Class DropTarget.DropTargetAutoScroller

    java.lang.Object
      |
      +--java.awt.dnd.DropTarget.DropTargetAutoScroller

All Implemented Interfaces:
  ActionListener, EventListener

Enclosing class:
  DropTarget

protected static class DropTarget.DropTargetAutoScroller
extends Object
implements ActionListener

this protected nested class implements autoscrolling

Constructor Summary
`protected` | `DropTarget.DropTargetAutoScroller(Component c, Point p)` construct a DropTargetAutoScroller

Method Summary
`void` | `actionPerformed(ActionEvent e)` cause autoscroll to occur
`protected void` | `stop()` cause autoscrolling to stop
`protected void` | `updateLocation(Point newLocn)` cause autoscroll to occur

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DropTarget.DropTargetAutoScroller

    protected DropTarget.DropTargetAutoScroller(Component c,
                                                Point p)

  construct a DropTargetAutoScroller

  Parameters:
    `c` - the `Component`
    `p` - the `Point`

Method Detail

### updateLocation

    protected void updateLocation(Point newLocn)

  cause autoscroll to occur

  Parameters:
    `newLocn` - the `Point`

### stop

    protected void stop()

  cause autoscrolling to stop

### actionPerformed

    public void actionPerformed(ActionEvent e)

  cause autoscroll to occur

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Parameters:
    `e` - the `ActionEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.